!-------------------------------------------------
!Author: Robert Clapp, ESMB 463, 7230253
!Date Created:Wed Dec 3 11:15:52 PST 1997
!
module helix_chain_mod
  use i_op_mod
  use polydiv
  use chain_mod
  implicit none
  real,save,pointer :: temp1(:),temp2(:)
  real, private :: epsilon
  contains
!------------------------------------
  subroutine helix_chain_init(n1,n2)
    integer :: n1
    integer,optional :: n2
    allocate(temp1(n1))
    if (present(n2)) then
      allocate(temp2(n2))
    end if
  end subroutine
!------------------------------------
  integer function helix_chain_oper(adj,add,model,data)
    logical :: adj,add
    real :: model(:),data(:)
    call chain (i_op, polydiv_lop, adj, add, model, data, temp1)
    helix_chain_oper=0
  end function
!------------------------------------
end module
